import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { D as DraftPost, C as CreateDraftPostOptions, a as CreateDraftPostResponse, B as BulkCreateDraftPostsOptions, b as BulkCreateDraftPostsResponse, c as BulkUpdateDraftPostsOptions, d as BulkUpdateDraftPostsResponse, L as ListDeletedDraftPostsOptions, e as ListDeletedDraftPostsResponse, G as GetDraftPostOptions, f as GetDraftPostResponse, U as UpdateDraftPost, g as UpdateDraftPostOptions, h as UpdateDraftPostResponse, i as DeleteDraftPostOptions, j as BulkDeleteDraftPostsOptions, k as BulkDeleteDraftPostsResponse, l as ListDraftPostsOptions, m as ListDraftPostsResponse, n as GetDeletedDraftPostResponse, R as RestoreFromTrashBinResponse, Q as QueryDraftPostsOptions, o as DraftPostsQueryBuilder, P as PublishDraftPostResponse, p as DraftCreatedEnvelope, q as DraftDeletedEnvelope, r as DraftUpdatedEnvelope } from './blog-v3-draft-draft-posts.universal-yk8zFFHT.mjs';
export { aa as Action, c5 as ActionEvent, A as Alignment, bf as AnchorData, bl as AppEmbedData, bm as AppEmbedDataAppDataOneOf, $ as AppType, ce as ApplicationError, d6 as ApproveDraftPostRequest, d7 as ApproveDraftPostResponse, bA as AudioData, b5 as Background, b6 as BackgroundBackgroundOneOf, Y as BackgroundType, da as BaseEventMetadata, bD as BlockquoteData, ck as BlogPaging, bn as BookingData, al as Border, by as BorderColors, cf as BulkActionMetadata, cb as BulkCreateDraftPostsRequest, cx as BulkDeleteDraftPostsRequest, cc as BulkDraftPostResult, d0 as BulkRejectDraftPostRequest, d1 as BulkRejectDraftPostResponse, c_ as BulkRevertToUnpublishedRequest, c$ as BulkRevertToUnpublishedResponse, cV as BulkUpdateDraftPostLanguageRequest, cW as BulkUpdateDraftPostLanguageResponse, cg as BulkUpdateDraftPostsRequest, bC as BulletedListData, ak as ButtonData, t as ButtonDataType, bE as CaptionData, cN as Category, cO as CategoryTranslation, bx as CellStyle, aw as CodeBlockData, bt as CollapsibleListData, bg as ColorData, am as Colors, ad as CoverMedia, ae as CoverMediaMediaOneOf, ca as CreateDraftPostRequest, z as Crop, cG as CursorPaging, cn as Cursors, bd as Decoration, be as DecorationDataOneOf, Z as DecorationType, ct as DeleteDraftPostRequest, cu as DeleteDraftPostResponse, bb as Design, bv as Dimensions, a1 as Direction, ay as DividerData, bH as DocumentStyle, b$ as DomainEvent, c0 as DomainEventBodyOneOf, bW as DraftCategoriesUpdated, ci as DraftPostOwnerChanged, bV as DraftPostTranslation, dc as DraftPostsQueryResult, bX as DraftTagsUpdated, br as EmbedData, bS as EmbedMedia, bT as EmbedThumbnail, bU as EmbedVideo, c1 as EntityCreatedEvent, c4 as EntityDeletedEvent, c3 as EntityUpdatedEvent, bo as EventData, db as EventMetadata, a9 as Field, az as FileData, aA as FileSource, aB as FileSourceDataOneOf, af as FocalPoint, bj as FontSizeData, _ as FontType, aO as GIF, aN as GIFData, F as GIFType, aD as GalleryData, aJ as GalleryOptions, cz as GetDeletedDraftPostRequest, co as GetDraftPostRequest, bY as GetDraftPostTotalsRequest, bZ as GetDraftPostTotalsResponse, ab as GetDraftPostsSort, cX as GetPostAmountsByLanguageRequest, cY as GetPostAmountsByLanguageResponse, b4 as Gradient, aQ as HTMLData, aR as HTMLDataDataOneOf, aP as HeadingData, ar as Height, c7 as IdentificationData, c8 as IdentificationDataIdOneOf, aF as Image, aS as ImageData, aU as ImageDataStyles, c9 as InitialDraftPostsCopied, a0 as InitialExpandedItems, cR as IsDraftPostAutoTranslatableRequest, cS as IsDraftPostAutoTranslatableResponse, aH as Item, aI as ItemDataOneOf, cd as ItemMetadata, aL as ItemStyle, bL as Keyword, aK as Layout, bF as LayoutCellData, x as LayoutType, v as LineStyle, at as Link, bh as LinkData, au as LinkDataOneOf, aV as LinkPreviewData, aW as LinkPreviewDataStyles, cj as ListDeletedDraftPostsRequest, cy as ListDraftPostsRequest, bz as ListValue, aX as MapData, aY as MapSettings, M as MapType, d8 as MarkPostAsInModerationRequest, d9 as MarkPostAsInModerationResponse, ch as MaskedDraftPosts, bO as Media, bP as MediaMediaOneOf, bi as MentionData, c6 as MessageEnvelope, cl as MetaData, bG as Metadata, bJ as ModerationDetails, a5 as ModerationStatusStatus, ah as Node, ai as NodeDataOneOf, aj as NodeStyle, N as NodeType, a3 as NullValue, bs as Oembed, b0 as Option, b8 as OptionDesign, b3 as OptionLayout, bB as OrderedListData, y as Orientation, O as Origin, aC as PDFSettings, cF as Paging, cm as PagingMetadataV2, aZ as ParagraphData, a$ as Permissions, cD as PlatformQuery, cE as PlatformQueryPagingMethodOneOf, bq as PlaybackOptions, an as PluginContainerData, s as PluginContainerDataAlignment, ao as PluginContainerDataWidth, ap as PluginContainerDataWidthDataOneOf, b9 as Poll, a_ as PollData, ba as PollDataLayout, b7 as PollDesign, b2 as PollLayout, X as PollLayoutDirection, K as PollLayoutType, b1 as PollSettings, H as Position, cZ as PostAmountByLanguage, cI as PublishDraftPostRequest, cB as QueryDraftPostsRequest, cH as QueryDraftPostsResponse, d4 as RejectDraftPostRequest, d5 as RejectDraftPostResponse, av as Rel, cv as RemoveFromTrashBinRequest, cw as RemoveFromTrashBinResponse, cA as RestoreFromTrashBinRequest, c2 as RestoreInfo, d2 as RevertToUnpublishedRequest, d3 as RevertToUnpublishedResponse, ag as RichContent, bK as SeoSchema, bN as Settings, ac as SortOrder, cC as Sorting, S as Source, aq as Spoiler, bk as SpoilerData, a4 as Status, as as Styles, aT as StylesBorder, bw as TableCellData, bu as TableData, bM as Tag, T as Target, u as TextAlignment, bc as TextData, bI as TextNodeStyle, ax as TextStyle, aM as Thumbnails, E as ThumbnailsAlignment, b_ as TotalDraftPosts, a6 as TotalDraftPostsGroupingField, cL as TranslateCategoryRequest, cM as TranslateCategoryResponse, cP as TranslateDraftRequest, cQ as TranslateDraftResponse, a8 as Type, cJ as UnpublishPostRequest, cK as UnpublishPostResponse, cp as UpdateDraftPostContentRequest, cq as UpdateDraftPostContentRequestDraftContentOneOf, cr as UpdateDraftPostContentResponse, cT as UpdateDraftPostLanguageRequest, cU as UpdateDraftPostLanguageResponse, cs as UpdateDraftPostRequest, aE as V1Media, a2 as VerticalAlignment, aG as Video, bp as VideoData, bR as VideoResolution, V as ViewMode, I as ViewRole, J as VoteRole, a7 as WebhookIdentityType, w as Width, W as WidthType, bQ as WixMedia } from './blog-v3-draft-draft-posts.universal-yk8zFFHT.mjs';

declare function createDraftPost$1(httpClient: HttpClient): CreateDraftPostSignature;
interface CreateDraftPostSignature {
    /**
     * Creates a draft post.
     *
     * For 3rd-party apps, `memberId` is a required field.
     *
     * In `categoryIds`, only categories that already exist will be added to the draft post. Including
     * `categoryIds` that do not exist will not return an error, but they will not be added to the `categoryIds` array.
     * If some of the categories exist, those will be added while those that do not exist will not be added to `categoryIds`.
     * You can check which categories are available with
     * List Categories ([SDK](https://dev.wix.com/docs/sdk/backend-modules/blog/categories/list-categories) | [REST](https://dev.wix.com/docs/rest/business-solutions/blog/category/list-categories)).
     * @param - Draft post to create.
     * @param - Options for creating a draft post.
     */
    (draftPost: DraftPost, options?: CreateDraftPostOptions | undefined): Promise<CreateDraftPostResponse>;
}
declare function bulkCreateDraftPosts$1(httpClient: HttpClient): BulkCreateDraftPostsSignature;
interface BulkCreateDraftPostsSignature {
    /**
     * Creates multiple draft posts.
     * @param - Draft posts to create.
     * @param - Options for creating multiple draft posts.
     */
    (draftPosts: DraftPost[], options?: BulkCreateDraftPostsOptions | undefined): Promise<BulkCreateDraftPostsResponse>;
}
declare function bulkUpdateDraftPosts$1(httpClient: HttpClient): BulkUpdateDraftPostsSignature;
interface BulkUpdateDraftPostsSignature {
    /**
     * Updates multiple draft posts.
     * @param - Options for updating multiple draft posts.
     */
    (options?: BulkUpdateDraftPostsOptions | undefined): Promise<BulkUpdateDraftPostsResponse>;
}
declare function listDeletedDraftPosts$1(httpClient: HttpClient): ListDeletedDraftPostsSignature;
interface ListDeletedDraftPostsSignature {
    /**
     * Retrieves a list of up to 100 deleted draft posts.
     *
     * List Draft Posts runs with these defaults, which you can override:
     * - `editedDate` is sorted in descending order. In this case,`editedDate` implies the date the post was deleted.
     * - `paging.limit` is `50`.
     * - `paging.offset` is `0`.
     * @param - Options for listing deleted draft posts.
     */
    (options?: ListDeletedDraftPostsOptions | undefined): Promise<ListDeletedDraftPostsResponse>;
}
declare function getDraftPost$1(httpClient: HttpClient): GetDraftPostSignature;
interface GetDraftPostSignature {
    /**
     * Retrieves a draft post by the provided ID.
     * @param - Draft post ID.
     * @param - Options for getting a draft post.
     */
    (draftPostId: string, options?: GetDraftPostOptions | undefined): Promise<GetDraftPostResponse>;
}
declare function updateDraftPost$1(httpClient: HttpClient): UpdateDraftPostSignature;
interface UpdateDraftPostSignature {
    /**
     * Updates a draft post.
     * @param - Draft post ID.
     * @param - Options for updating a draft post.
     * @param - Draft Post info.
     */
    (_id: string, draftPost: UpdateDraftPost, options?: UpdateDraftPostOptions | undefined): Promise<UpdateDraftPostResponse>;
}
declare function deleteDraftPost$1(httpClient: HttpClient): DeleteDraftPostSignature;
interface DeleteDraftPostSignature {
    /**
     * Moves a draft post to the trash bin.
     * A published post can also be deleted by the `post.id`. See the Posts API ([SDK](https://dev.wix.com/docs/sdk/backend-modules/blog/posts/) | [REST](https://dev.wix.com/docs/rest/business-solutions/blog/posts-stats/post-object)) for more information about posts.
     *
     * To permanently delete a post bypassing the trash bin, set the `permanent` field value to `true`. The post can't be restored after this.
     * @param - Draft post ID.
     * @param - Options for deleting a draft post.
     */
    (draftPostId: string, options?: DeleteDraftPostOptions | undefined): Promise<void>;
}
declare function removeFromTrashBin$1(httpClient: HttpClient): RemoveFromTrashBinSignature;
interface RemoveFromTrashBinSignature {
    /**
     * Permanently deletes a draft post that is currently in the trash bin.
     *
     * This action is permanent and can't be reversed.
     * @param - Draft post ID.
     */
    (draftPostId: string): Promise<void>;
}
declare function bulkDeleteDraftPosts$1(httpClient: HttpClient): BulkDeleteDraftPostsSignature;
interface BulkDeleteDraftPostsSignature {
    /**
     * Deletes multiple draft posts.
     * @param - Post IDs.
     * @param - Options for deleting multiple draft posts.
     */
    (postIds: string[], options?: BulkDeleteDraftPostsOptions | undefined): Promise<BulkDeleteDraftPostsResponse>;
}
declare function listDraftPosts$1(httpClient: HttpClient): ListDraftPostsSignature;
interface ListDraftPostsSignature {
    /**
     * Retrieves a list of up to 100 draft posts per request.
     *
     * List Draft Posts runs with these defaults, which you can override:
     * - `editedDate` is sorted in descending order.
     * - `paging.limit` is `50`.
     * - `paging.offset` is `0`.
     * @param - Options for listing multiple draft posts.
     */
    (options?: ListDraftPostsOptions | undefined): Promise<ListDraftPostsResponse>;
}
declare function getDeletedDraftPost$1(httpClient: HttpClient): GetDeletedDraftPostSignature;
interface GetDeletedDraftPostSignature {
    /**
     * Retrieves a deleted draft post from the trash bin by the provided ID.
     * @param - Draft post ID.
     */
    (draftPostId: string): Promise<GetDeletedDraftPostResponse>;
}
declare function restoreFromTrashBin$1(httpClient: HttpClient): RestoreFromTrashBinSignature;
interface RestoreFromTrashBinSignature {
    /**
     * Restores a deleted draft post from the trash bin by the provided ID.
     * @param - Draft post ID.
     */
    (draftPostId: string): Promise<RestoreFromTrashBinResponse>;
}
declare function queryDraftPosts$1(httpClient: HttpClient): QueryDraftPostsSignature;
interface QueryDraftPostsSignature {
    /**
     * Creates a query to retrieve a list of up to 100 draft posts.
     *
     *
     * The `queryDraftPosts()` function builds a query to retrieve a list of up to 100 draft posts, and returns a `DraftPostsQueryBuilder` object.
     *
     * The returned object contains the query definition, which is typically used to run the query using the `find()` function.
     *
     * You can refine the query by chaining `DraftPostsQueryBuilder` functions onto the query. `DraftPostsQueryBuilder` functions enable you to sort, filter, and control the results that `queryDraftPosts()` returns.
     *
     * `queryDraftPosts()` runs with these `DraftPostsQueryBuilder` defaults that can be overridden:
     * - `limit(50)`
     * - `ascending('_id')`
     *
     * The following `DraftPostsQueryBuilder` functions are supported for `queryDraftPosts()`. For a full description of the Draft Posts object, see the object returned for the `items` property in `DraftPostsQueryResult`.
     * @param - Options for querying draft posts.
     */
    (options?: QueryDraftPostsOptions | undefined): DraftPostsQueryBuilder;
}
declare function publishDraftPost$1(httpClient: HttpClient): PublishDraftPostSignature;
interface PublishDraftPostSignature {
    /**
     * Publishes a draft post by ID. This creates a new post ([SDK](https://dev.wix.com/docs/sdk/backend-modules/blog/posts/) | [REST](https://dev.wix.com/docs/rest/business-solutions/blog/posts-stats/post-object))
     * with the data from the draft post.
     *
     * If the draft post was already published, the published post will be updated with the latest values
     * from the draft post.
     * @param - Draft post ID.
     */
    (draftPostId: string): Promise<PublishDraftPostResponse>;
}
declare const onDraftCreated$1: EventDefinition<DraftCreatedEnvelope, "wix.blog.v3.draft_created">;
declare const onDraftDeleted$1: EventDefinition<DraftDeletedEnvelope, "wix.blog.v3.draft_deleted">;
declare const onDraftUpdated$1: EventDefinition<DraftUpdatedEnvelope, "wix.blog.v3.draft_updated">;

declare const createDraftPost: MaybeContext<BuildRESTFunction<typeof createDraftPost$1> & typeof createDraftPost$1>;
declare const bulkCreateDraftPosts: MaybeContext<BuildRESTFunction<typeof bulkCreateDraftPosts$1> & typeof bulkCreateDraftPosts$1>;
declare const bulkUpdateDraftPosts: MaybeContext<BuildRESTFunction<typeof bulkUpdateDraftPosts$1> & typeof bulkUpdateDraftPosts$1>;
declare const listDeletedDraftPosts: MaybeContext<BuildRESTFunction<typeof listDeletedDraftPosts$1> & typeof listDeletedDraftPosts$1>;
declare const getDraftPost: MaybeContext<BuildRESTFunction<typeof getDraftPost$1> & typeof getDraftPost$1>;
declare const updateDraftPost: MaybeContext<BuildRESTFunction<typeof updateDraftPost$1> & typeof updateDraftPost$1>;
declare const deleteDraftPost: MaybeContext<BuildRESTFunction<typeof deleteDraftPost$1> & typeof deleteDraftPost$1>;
declare const removeFromTrashBin: MaybeContext<BuildRESTFunction<typeof removeFromTrashBin$1> & typeof removeFromTrashBin$1>;
declare const bulkDeleteDraftPosts: MaybeContext<BuildRESTFunction<typeof bulkDeleteDraftPosts$1> & typeof bulkDeleteDraftPosts$1>;
declare const listDraftPosts: MaybeContext<BuildRESTFunction<typeof listDraftPosts$1> & typeof listDraftPosts$1>;
declare const getDeletedDraftPost: MaybeContext<BuildRESTFunction<typeof getDeletedDraftPost$1> & typeof getDeletedDraftPost$1>;
declare const restoreFromTrashBin: MaybeContext<BuildRESTFunction<typeof restoreFromTrashBin$1> & typeof restoreFromTrashBin$1>;
declare const queryDraftPosts: MaybeContext<BuildRESTFunction<typeof queryDraftPosts$1> & typeof queryDraftPosts$1>;
declare const publishDraftPost: MaybeContext<BuildRESTFunction<typeof publishDraftPost$1> & typeof publishDraftPost$1>;
/**
 * Triggered when a draft post is created.
 */
declare const onDraftCreated: BuildEventDefinition<typeof onDraftCreated$1>;
/**
 * Triggered when a draft post is deleted.
 */
declare const onDraftDeleted: BuildEventDefinition<typeof onDraftDeleted$1>;
/**
 * Triggered when a draft post is updated.
 */
declare const onDraftUpdated: BuildEventDefinition<typeof onDraftUpdated$1>;

export { BulkCreateDraftPostsOptions, BulkCreateDraftPostsResponse, BulkDeleteDraftPostsOptions, BulkDeleteDraftPostsResponse, BulkUpdateDraftPostsOptions, BulkUpdateDraftPostsResponse, CreateDraftPostOptions, CreateDraftPostResponse, DeleteDraftPostOptions, DraftCreatedEnvelope, DraftDeletedEnvelope, DraftPost, DraftPostsQueryBuilder, DraftUpdatedEnvelope, GetDeletedDraftPostResponse, GetDraftPostOptions, GetDraftPostResponse, ListDeletedDraftPostsOptions, ListDeletedDraftPostsResponse, ListDraftPostsOptions, ListDraftPostsResponse, PublishDraftPostResponse, QueryDraftPostsOptions, RestoreFromTrashBinResponse, UpdateDraftPost, UpdateDraftPostOptions, UpdateDraftPostResponse, bulkCreateDraftPosts, bulkDeleteDraftPosts, bulkUpdateDraftPosts, createDraftPost, deleteDraftPost, getDeletedDraftPost, getDraftPost, listDeletedDraftPosts, listDraftPosts, onDraftCreated, onDraftDeleted, onDraftUpdated, publishDraftPost, queryDraftPosts, removeFromTrashBin, restoreFromTrashBin, updateDraftPost };
